% Funcin para estimar la ganancia crtica (kc) y el perodo de oscilacin
% mantenida (tc) de un proceso a partir del anlisis de una experiencia de
% ciclo lmite con rel con histeresis.
%
% La llamada a esta funcin es:
%
%             [kc,tc]=est_cl(t,control,salida,amplitud,epsilon)
%
% Donde:
%  	- t, vector columna con los instantes de muestreo
%		- control, vector columna con la seal de control (entrada al proceso)
%		- salida, vector columna con la salida (ciclo lmite) del proceso
%		- amplitud y epsilon, la amplitud y la histeresis del rel
%
% Observacin: la funcin no analiza si la salida del proceso est en ciclo lmite,
%              simplemente se limita a determinar sus caractersticas. Por tanto
%              es el usuario quin debe garantiza la existencia de ciclo lmite
%              antes de hacer uso de esta funcin.
%              La funcin presupone que todas las muestras estn tomadas con
%              el mismo perodo de muestreo. Si no es as, el resultado de la
%              estimacin carece de validez.
%
% Autor: Fernando Morilla

function [kc,tc]=est_cl(t,control,salida,amplitud,epsilon)

[kc,tc]=est_cl_p(t,control,salida,amplitud,epsilon);
