% Funcin para estimar los parmetros de un modelo de primer orden con retardo
% que mejor aproxima la respuesta escaln de un proceso.
% Utilizando el mtodo de los dos puntos (al 28.3% y al 63.2%).
%
% La llamada a esta funcin es:
%
%             [k,tp,to]=est_rla(t,entrada,salida)
%
% Donde:
%		- t, vector columna con los instantes de muestreo
%		- entrada, vector columna con la entrada escaln al proceso
%		- salida, vector columna con la respuesta escaln del proceso
%
% Observacin: la funcin no analiza si la entrada al proceso es un escaln,
%              es el usuario quin debe garantizar que eso es as, antes de hacer
%              uso de esta funcin
%              La funcin presupone que todas las muestras estn tomadas con
%              el mismo perodo de muestreo. Si no es as, el resultado de la
%              estimacin carece de validez.
%
% Autor: Fernando Morilla

function [k,tp,to]=est_rla(t,entrada,salida);

[k,tp,to]=est_rla_p(t,entrada,salida);