%  Ajuste del controlador PID aplicando las frmulas de sintona de
%  Gonzlez y Morilla (1994) con caractersticas del proceso
%  obtenidas en lazo abierto.
%
%  La llamada a esta funcin es:
%
%           [kp,ti,td,wn]=gm(k,tp,to,delta,alfa)
%
%  Donde:
%      - k, tp y to, la ganancia, la constante de tiempo y el retardo de un
%        modelo del proceso
%      - delta, la especificacin del coeficiente de amortiguamiento
%      - alfa la razn que se desea entre la constantes de tiempo derivativa e
%        integral del controlador
%      - wn, la frecuencia natural que tendr la respuesta del sistema
%
%  Observacin: en el caso PID resuelve con la condicin td=alfa*ti si
%       es posible, y en caso contrario para un alfa menor del elegido
%       pero siempre dentro del rango 0<alfa<=0.25
%
% Autor: Fernando Morilla

function [kp,ti,td,wn]=gm(k,tp,to,delta,alfa)

[kp,ti,td,wn]=gm_p(k,tp,to,delta,alfa);
