%  Ajuste del controlador PID aplicando las frmulas de sintona de
%  Ho, Hang y Cao (1995) con caractersticas del proceso
%  obtenidas en lazo abierto.
%
%  Las posibles llamadas a esta funcin son:
%
%                   [kp,ti,wcf]=hhc(k,tp,to,mf,mg)
%                   [kp,ti,td,wcf]=hhc(k,tp1,tp2,to,mf,mg,tipo_pid)
%
%
%  Donde:
%      - k, tp y to, la ganancia, la constante de tiempo y el retardo de un
%        modelo del proceso
%      - mf y mg las especificaciones de margen de fase y margen de ganancia
%      - wcf, la frecuencia a la que se espera conseguir el margen de fase
%      - tipo_pid, solo necesario en el caso PID, para indicar de que tipo
%        de algoritmo PID se trata:
%                    1 = No interactivo
%                    2 = Interactivo
%        pues aunque las frmulas slo contemplan el caso interactivo, se ha
%        incluido las frmulas de conversin para el no interactivo
%
% Autor: Fernando Morilla

function [kp,ti,td,wcf]=hhc(arg1,arg2,arg3,arg4,arg5,arg6,arg7)

npe=nargin;
nps=nargout;
if nps==3 & npe==5
   [kp,ti,wcf]=hhc_p(arg1,arg2,arg3,arg4,arg5);
   td=wcf;
end
if nps==4 & npe==7
   [kp,ti,td,wcf]=hhc_p(arg1,arg2,arg3,arg4,arg5,arg6,arg7);
end